Modify

Opened 6 years ago

Closed 12 months ago

#4724 closed defect (fixed)

Plugins downloaded and extracted from zip have incorrect permissions

Reported by: jholg Owned by: otaku42
Priority: normal Component: TracHacks
Severity: normal Keywords: zip download
Cc: ChrisNelson Trac Release: 0.11

Description

Hi,

I can't exactly say when this started but downloaded zipped hacks suddenly have unusable permissions for me:

E.g. I just downloaded the workfloweditor plugin:

0 pytaf@swww001 .../workfloweditorplugin $ ls -l 0.11/
total 4
---------- 1 pytaf pytaf   39 2009-01-21 10:14 setup.cfg
---------- 1 pytaf pytaf 1077 2009-03-01 15:28 setup.py
drwxr-sr-x 5 pytaf pytaf  512 2009-03-02 09:59 workfloweditor/

This of course means after unzipping one has to modify all permissions to be able to build/use the plugins. Might be that this has been introduced when trac-hacks moved to the new server? I certainly didn't see such problems last year. I tried several other hacks (e.g IncludeMacro,...) and this problem seems to show up consistently.

Holger

Attachments (0)

Change History (9)

comment:1 Changed 5 years ago by rjollos

  • Summary changed from zip download permissions to Plugins downloaded and extracted from zip have incorrect permissions

comment:2 follow-up: Changed 5 years ago by rjollos

Which plugin is used on TH to generate the zip files and associated downloads link? I see a TracDownloaderPlugin and DownloadsPlugin, but neither of these are references on the main page: WikiStart#Miscellany

comment:3 in reply to: ↑ 2 Changed 5 years ago by otaku42

  • Status changed from new to assigned

Replying to rjollos:

Which plugin is used on TH to generate the zip files and associated downloads link?

No plugin is used for that at all, it's all done with out-of-the-box features of Trac (see NewHackTemplate):

http://trac-hacks.org/changeset/latest/${LCNAME}?old_path=/&filename=${LCNAME}&format=zip

where ${LCNAME} is replaced with the hacks' repository path.

comment:4 Changed 5 years ago by rjollos

That is great ... my life just got easier ;)

Thanks, I had searched around the documentation and didn't find how to do that anywhere.

comment:5 Changed 5 years ago by jholg

You're probably aware of this - I brought this up on the mailing list too, back then:

http://www.mail-archive.com/trac-users@googlegroups.com/msg14200.html

I posted some info on my zip file properties findings in the same thread: http://www.mail-archive.com/trac-users@googlegroups.com/msg14216.html

comment:6 Changed 2 years ago by rjollos

  • Cc ChrisNelson added; anonymous removed

#10243 closed as a duplicate.

comment:7 Changed 2 years ago by rjollos

#10840 closed as a duplicate.

comment:8 Changed 2 years ago by jun66j5

This issue is Trac 0.10.x issue with Python 2.5 and has been fixed in Trac 0.11 and later. See also, trac:#6851 and trac:r6558.

comment:9 Changed 12 months ago by rjollos

  • Resolution set to fixed
  • Status changed from assigned to closed

This issue appears to have been resolved with the site upgrade.

Add Comment

Modify Ticket

Action
as closed The owner will remain otaku42.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.